Subject: Re: [PATCH] powerpc: Fix irq routing on some PowerMac 32 bits

From: Segher Boessenkool <[email-masked]>
Date: Wed, 10 Jan 2007 13:22:07 +0100

> While I agree that we should definitely test for NULL and properly fail
> instead of crashing, there is still the question of why do you fail at
> this point. Do you have PCI devices that don't have corresponding 
> device
> nodes ? That is not a problem per-se, I'm just wondering if you have a
> device that is supposed to have a node but it's not matching due to a
> problem with the "reg" property...

Yeah, show us the .dts file if you can, it might have
a problem, or at least it does something the kernel
doesn't expect.

Segher